<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: /home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/AssetLoaderBase.cs File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_asset_loader_base_8cs.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">AssetLoaderBase.cs File Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base asset loader.  <a href="class_tri_lib_1_1_asset_loader_base.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="namespaces" name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespace_tri_lib"><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html">TriLib</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a9daf3939b26812f1c6b8ce45223cebde"><td class="memItemLeft" align="right" valign="top">delegate void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#a9daf3939b26812f1c6b8ce45223cebde">TriLib.ObjectLoadedHandle</a> (GameObject loadedGameObject)</td></tr>
<tr class="memdesc:a9daf3939b26812f1c6b8ce45223cebde"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an <a class="el" href="class_tri_lib_1_1_asset_loader.html" title="Represents a synchronous asset loader.">AssetLoader</a> asset loaded event handler.  <a href="namespace_tri_lib.html#a9daf3939b26812f1c6b8ce45223cebde">More...</a><br /></td></tr>
<tr class="separator:a9daf3939b26812f1c6b8ce45223cebde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa973ed297057ea84004ae8b75b368d29"><td class="memItemLeft" align="right" valign="top">delegate void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#aa973ed297057ea84004ae8b75b368d29">TriLib.MeshCreatedHandle</a> (uint meshIndex, Mesh mesh)</td></tr>
<tr class="memdesc:aa973ed297057ea84004ae8b75b368d29"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an <a class="el" href="class_tri_lib_1_1_asset_loader.html" title="Represents a synchronous asset loader.">AssetLoader</a> mesh creation event handler.  <a href="namespace_tri_lib.html#aa973ed297057ea84004ae8b75b368d29">More...</a><br /></td></tr>
<tr class="separator:aa973ed297057ea84004ae8b75b368d29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a82fca2459006c57cd350c342fc1fa3ce"><td class="memItemLeft" align="right" valign="top">delegate void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#a82fca2459006c57cd350c342fc1fa3ce">TriLib.MaterialCreatedHandle</a> (uint materialIndex, bool isOverriden, Material material)</td></tr>
<tr class="memdesc:a82fca2459006c57cd350c342fc1fa3ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an <a class="el" href="class_tri_lib_1_1_asset_loader.html" title="Represents a synchronous asset loader.">AssetLoader</a> material created event handler.  <a href="namespace_tri_lib.html#a82fca2459006c57cd350c342fc1fa3ce">More...</a><br /></td></tr>
<tr class="separator:a82fca2459006c57cd350c342fc1fa3ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5685574af3f428ce46cc049f6c002406"><td class="memItemLeft" align="right" valign="top">delegate void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#a5685574af3f428ce46cc049f6c002406">TriLib.AvatarCreatedHandle</a> (Avatar avatar, Animator animator)</td></tr>
<tr class="memdesc:a5685574af3f428ce46cc049f6c002406"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an <a class="el" href="class_tri_lib_1_1_asset_loader.html" title="Represents a synchronous asset loader.">AssetLoader</a> avatar created event handler.  <a href="namespace_tri_lib.html#a5685574af3f428ce46cc049f6c002406">More...</a><br /></td></tr>
<tr class="separator:a5685574af3f428ce46cc049f6c002406"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2087da18b5322c2c97a441cab1a453a9"><td class="memItemLeft" align="right" valign="top">delegate void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#a2087da18b5322c2c97a441cab1a453a9">TriLib.AnimationClipCreatedHandle</a> (uint animationClipIndex, AnimationClip animationClip)</td></tr>
<tr class="memdesc:a2087da18b5322c2c97a441cab1a453a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an <a class="el" href="class_tri_lib_1_1_asset_loader.html" title="Represents a synchronous asset loader.">AssetLoader</a> animation created event handler.  <a href="namespace_tri_lib.html#a2087da18b5322c2c97a441cab1a453a9">More...</a><br /></td></tr>
<tr class="separator:a2087da18b5322c2c97a441cab1a453a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3525ab1c9d6ce079a8e0626eb444d6a"><td class="memItemLeft" align="right" valign="top">delegate void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#aa3525ab1c9d6ce079a8e0626eb444d6a">TriLib.MetadataProcessedHandle</a> (AssimpMetadataType metadataType, uint metadataIndex, string metadataKey, object metadataValue)</td></tr>
<tr class="memdesc:aa3525ab1c9d6ce079a8e0626eb444d6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents an <a class="el" href="class_tri_lib_1_1_asset_loader.html" title="Represents a synchronous asset loader.">AssetLoader</a> metadata processed event handler.  <a href="namespace_tri_lib.html#aa3525ab1c9d6ce079a8e0626eb444d6a">More...</a><br /></td></tr>
<tr class="separator:aa3525ab1c9d6ce079a8e0626eb444d6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4e55754b655cc8a70d70c7b0f4bdef5"><td class="memItemLeft" align="right" valign="top">delegate void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#ac4e55754b655cc8a70d70c7b0f4bdef5">TriLib.BlendShapeKeyCreatedHandle</a> (Mesh mesh, string name, Vector3[] vertices, Vector3[] normals, Vector4[] tangents, Vector4[] biTangents)</td></tr>
<tr class="memdesc:ac4e55754b655cc8a70d70c7b0f4bdef5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents a blend-shape key created event handler.  <a href="namespace_tri_lib.html#ac4e55754b655cc8a70d70c7b0f4bdef5">More...</a><br /></td></tr>
<tr class="separator:ac4e55754b655cc8a70d70c7b0f4bdef5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a26f74a4ebcff8138135eac4633ac33"><td class="memItemLeft" align="right" valign="top">delegate EmbeddedTextureData&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#a5a26f74a4ebcff8138135eac4633ac33">TriLib.LoadTextureDataCallback</a> (string path, string basePath)</td></tr>
<tr class="memdesc:a5a26f74a4ebcff8138135eac4633ac33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Callback used to retrieve custom embedded texture data.  <a href="namespace_tri_lib.html#a5a26f74a4ebcff8138135eac4633ac33">More...</a><br /></td></tr>
<tr class="separator:a5a26f74a4ebcff8138135eac4633ac33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c9419cd89ec12f9954438305c039c44"><td class="memItemLeft" align="right" valign="top">delegate EmbeddedTextureData&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespace_tri_lib.html#a9c9419cd89ec12f9954438305c039c44">TriLib.EmbeddedTextureLoadCallback</a> (string path)</td></tr>
<tr class="memdesc:a9c9419cd89ec12f9954438305c039c44"><td class="mdescLeft">&#160;</td><td class="mdescRight">Event used to pass a custom texture data when processing a texture entry.  <a href="namespace_tri_lib.html#a9c9419cd89ec12f9954438305c039c44">More...</a><br /></td></tr>
<tr class="separator:a9c9419cd89ec12f9954438305c039c44"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_84bbf7b3c7f28a5a18725745e1505219.html">Assets</a></li><li class="navelem"><a class="el" href="dir_1366353f92bfcad57baaadbced04d9dc.html">TriLib</a></li><li class="navelem"><a class="el" href="dir_b1852826b1dcf5519cb0109126b304ac.html">TriLib</a></li><li class="navelem"><a class="el" href="dir_1a655f348dfdb7dab8ca284eb2259249.html">Scripts</a></li><li class="navelem"><a class="el" href="dir_a5bfd893645e54d35af833cce7981279.html">AssetLoader</a></li><li class="navelem"><a class="el" href="_asset_loader_base_8cs.html">AssetLoaderBase.cs</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:22 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
